summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorStefan Kreutz <mail@skreutz.com>2022-11-09 09:49:02 +0100
committerStefan Kreutz <mail@skreutz.com>2022-11-09 09:49:02 +0100
commit9a08dec095725012546ea93ac07142a570d1b220 (patch)
treeb33557ad90ae94adb7d2e24dad1c45387910c18b /configure
parentc39913911b6c357ca9882d37b54db8daa23a5383 (diff)
downloadjotpass-0.2.0.tar
Port to GNU/Linuxjotpass-0.2.0
Tested on Void Linux x86_64 glibc.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure18
1 files changed, 18 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..9a1e936
--- /dev/null
+++ b/configure
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+set -o errexit
+set -o nounset
+
+exec 3>config.mk
+
+case "$( uname )" in
+ OpenBSD)
+ echo 'BINGRP = bin' 1>&3
+ echo 'MANGRP = bin' 1>&3
+ ;;
+ Linux)
+ echo 'BINMODE = 755' 1>&3
+ echo 'MANMODE = 644' 1>&3
+ echo 'MANDIR = share/man/man' 1>&3
+ ;;
+esac
Generated by cgit. See skreutz.com for my tech blog and contact information.